
From: "Randy.Dunlap" <rddunlap@osdl.org>

From: Michael Veeck <michael.veeck@gmx.net>

Remove unnecessary min/max macros and changes calls to use kernel.h macros
instead.


---

 25-akpm/include/linux/reiserfs_fs.h |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN include/linux/reiserfs_fs.h~reiserfs_minmax include/linux/reiserfs_fs.h
--- 25/include/linux/reiserfs_fs.h~reiserfs_minmax	2004-03-16 18:48:56.688100680 -0800
+++ 25-akpm/include/linux/reiserfs_fs.h	2004-03-16 18:48:56.691100224 -0800
@@ -1944,11 +1944,10 @@ int reiserfs_global_version_in_proc( cha
 
 #define PROC_EXP( e )   e
 
-#define MAX( a, b ) ( ( ( a ) > ( b ) ) ? ( a ) : ( b ) )
 #define __PINFO( sb ) REISERFS_SB(sb) -> s_proc_info_data
 #define PROC_INFO_MAX( sb, field, value )								\
     __PINFO( sb ).field =												\
-        MAX( REISERFS_SB( sb ) -> s_proc_info_data.field, value )
+        max( REISERFS_SB( sb ) -> s_proc_info_data.field, value )
 #define PROC_INFO_INC( sb, field ) ( ++ ( __PINFO( sb ).field ) )
 #define PROC_INFO_ADD( sb, field, val ) ( __PINFO( sb ).field += ( val ) )
 #define PROC_INFO_BH_STAT( sb, bh, level )							\

_
